{% extends "gamestradamus/base.html" %}
{% import 'gamestradamus/numbers.html' as numbers %}

{% block canonical %}<link rel="canonical" href="/sales/"/>{% endblock %}

{% block title %}Games on Sale (by 
    {% if order == "recent" %}recent)
    {% elif order == "gauge" %}cost / hour)
    {% elif order == "hours" %}hours)
    {% elif order == "savings" %}savings)
    {% elif order == "cheapest" %}cheapest)
    {% endif %}
{% endblock %}
{% block description %}Explore the games that are on Sale.{% endblock %}

{% block sales_nav_class %}active{% endblock %}
{% block sales_nav_class_2 %}active{% endblock %}

{% block header %}
    <article class="sales">
        <div class="title">
            <h1>Games on Sale&nbsp;<span>(by 
                {% if order == "recent" %}recent)
                {% elif order == "gauge" %}cost&nbsp;/&nbsp;hour)
                {% elif order == "hours" %}hours)
                {% elif order == "savings" %}savings)
                {% elif order == "cheapest" %}cheapest)
                {% endif %}</span></h1>
            <div class="actions"></div>
            <p class="instructions">
                There are currently&nbsp;<strong>{{ total_count }}</strong>&nbsp;games on sale.
            </p>
        </div>
    </article>
{% endblock %}

{% macro game_li(game) -%}
<li>
    <a href="/game/{{ game.id }}/">
        <img src="{{ request.config['gauge.steam_cdn'] }}{{ game.app_id }}/header_292x136.jpg" width="178" height="83">
        <div class="overlay">&nbsp;</div>
        <p class="percent-off">

        {% if order == "gauge" %}
            {% set value = game.community_value %}
            {{ numbers.format_cost_per_hour(region, value, True) }}
            <span class="label">{{ numbers.value_symbol(region, value) }} / hr</span>
        {% elif order == "hours" %}
            {{ numbers.format_hours(region, game.median_hours_played) }}
            <span class="label">median hours</span>
        {% elif order == "cheapest" %}
            {{ numbers.format_price_with_symbol(region, game.sale_price) }}
            <span class="label">sale price</span>
        {% else %}
            {{ game.percent_off|round|int }}
            <span class="label">percent off</span>
        {% endif %}
        </p>

        <h3>{{ game.name }}</h3>
        <h4>
            {% if game.on_sale %}
                {{ numbers.format_price_with_symbol(region, game.sale_price) }}&nbsp;<del>{{ numbers.format_price_with_symbol(region, game.price) }}</del>
            {% else %}
                {{ numbers.format_price_with_symbol(region, game.price) }}
            {% endif %}
        </h4>
        <h5>{{ game.on_sale_since|ago }}{% if game.genre %} | {{ game.genre|default('', True) }}{% endif %}</h5>
        <div class="clear"></div>
    </a>
</li> 
{%- endmacro %}

{% block container %}
    <article class="sales">
        <div class="filters">
            <div class="sort-by">
                Sort by:&nbsp;<div class="dropdown">
                    <a class="current active">
                        {% if order == "recent" %}Recent
                        {% elif order == "gauge" %}Cost&nbsp;/&nbsp;Hour
                        {% elif order == "hours" %}Hours
                        {% elif order == "savings" %}Savings
                        {% elif order == "cheapest" %}Cheapest
                        {% endif %}
                    </a>
                    <div class="options">
                        {% if order != "recent" %}
                            <a href="/sales/?order=recent{% if genre %}&genre={{ genre }}{% endif %}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}" {% if order == "recent" %}class="active"{% endif %}>Recent</a>
                        {% endif %}
                        {% if order != "gauge" %}
                            <a href="/sales/?order=gauge{% if genre %}&genre={{ genre }}{% endif %}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}" {% if order == "gauge" %}class="active"{% endif %}>Cost&nbsp;/&nbsp;Hour</a>
                        {% endif %}
                        {% if order != "hours" %}
                            <a href="/sales/?order=hours{% if genre %}&genre={{ genre }}{% endif %}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}" {% if order == "hours" %}class="active"{% endif %}>Hours</a>
                        {% endif %}
                        {% if order != "savings" %}
                            <a href="/sales/?order=savings{% if genre %}&genre={{ genre }}{% endif %}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}" {% if order == "savings" %}class="active"{% endif %}>Savings</a>
                        {% endif %}
                        {% if order != "cheapest" %}
                            <a href="/sales/?order=cheapest{% if genre %}&genre={{ genre }}{% endif %}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}" {% if order == "cheapest" %}class="active"{% endif %}>Cheapest</a>
                        {% endif %}
                    </div>
                </div>
            </div>
            <div class="genres">
                Genre:&nbsp;<div class="dropdown">
                    <a class="current {% if genre %}active{% endif %}">
                        {% if not genre %}All
                        {% elif genre == "action" %}Action
                        {% elif genre == "adventure" %}Adventure
                        {% elif genre == "strategy" %}Strategy
                        {% elif genre == "rpg" %}RPG
                        {% elif genre == "indie" %}Indie
                        {% elif genre == "massively multiplayer" %}MMO
                        {% elif genre == "platformer" %}Platformer
                        {% elif genre == "casual" %}Casual
                        {% elif genre == "simulation" %}Simulation
                        {% elif genre == "racing" %}Racing
                        {% elif genre == "sports" %}Sports
                        {% elif genre == "early access" %}Early Access
                        {% endif %} 
                    </a>
                    <div class="options">
                        {% if genre %}
                            <a href="/sales/?order={{ order }}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Off</a>
                            <hr>
                        {% endif %}
                        {% if "action" in genres and genre != "action" %}
                            <a href="/sales/?order={{ order }}&genre=action{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Action</a>
                        {% endif %}
                        {% if "adventure" in genres and genre != "adventure" %}
                            <a href="/sales/?order={{ order }}&genre=adventure{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Adventure</a>
                        {% endif %}
                        {% if "strategy" in genres and genre != "strategy" %}
                            <a href="/sales/?order={{ order }}&genre=strategy{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Strategy</a>
                        {% endif %}
                        {% if "rpg" in genres and genre != "rpg" %}
                            <a href="/sales/?order={{ order }}&genre=rpg{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">RPG</a>
                        {% endif %}
                        {% if "indie" in genres and genre != "indie" %}
                            <a href="/sales/?order={{ order }}&genre=indie{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Indie</a>
                        {% endif %}
                        {% if "massively multiplayer" in genres and genre != "massively multiplayer" %}
                            <a href="/sales/?order={{ order }}&genre=massively multiplayer{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">MMO</a>
                        {% endif %}
                        {% if "platformer" in genres and genre != "platformer" %}
                            <a href="/sales/?order={{ order }}&genre=platformer{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Platformer</a>
                        {% endif %}
                        {% if "casual" in genres and genre != "casual" %}
                            <a href="/sales/?order={{ order }}&genre=casual{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Casual</a>
                        {% endif %}
                        {% if "simulation" in genres and genre != "simulation" %}
                            <a href="/sales/?order={{ order }}&genre=simulation{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Simulation</a>
                        {% endif %} 
                        {% if "racing" in genres and genre != "racing" %}
                            <a href="/sales/?order={{ order }}&genre=racing{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Racing</a>
                        {% endif %}
                        {% if "sports" in genres and genre != "sports" %}
                            <a href="/sales/?order={{ order }}&genre=sports{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Sports</a>
                        {% endif %}
                        {% if "early access" in genres and genre != "early access" %}
                            <a href="/sales/?order={{ order }}&genre=early access{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Early Access</a>
                        {% endif %}
                    </div>
                </div>
            </div>
            <div class="price">
                Price:&nbsp;
                <form method="GET" action="">
                    <input name="price" type="text" placeholder="less than {{ region.numbers.dollar_symbol_no_html }}" {% if price %}value="{{ region.numbers.format_price(price) }}"{% endif %}>
                    {% if genre %}
                        <input name="genre" type="hidden" value="{{ genre }}">
                    {% endif %}
                    <input name="order" type="hidden" value="{{ order }}">
                    <button type="submit" class="{% if price %}active{% endif %}">Filter</button>
                </form>
            </div>
            <div class="paging">
                Page:&nbsp; 
                {% for p in pages %}
                    {% if p != page %}
                        <a class="page" href="/sales/?order={{ order }}&page={{ p }}{% if genre %}&genre={{ genre }}{% endif %}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">{{ p }}</a>
                    {% else %}
                        <span>{{ p }}</span>
                    {% endif %}
                {% endfor %}
                &nbsp;&nbsp;(of&nbsp; 
                    <a class="last-page" href="/sales/?order={{ order }}&page={{ page_count }}{% if genre %}&genre={{ genre }}{% endif %}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">{{ page_count }}</a>
                )
                {% if page < page_count %}
                    <a class="next-page" href="/sales/?order={{ order }}&page={{ page + 1}}{% if genre %}&genre={{ genre }}{% endif %}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Next Page &gt;</a>
                {% endif %}
            </div>
        </div>

        <hr>

        <div class="left">
            <ul class="prediction-list">
                {% for game in games_one %}
                    {{ game_li(game) }}
                {% endfor %}
            </ul>
        </div>

        <div class="right">
            <ul class="prediction-list">
                {% for game in games_two %}
                    {{ game_li(game) }}
                {% endfor %}
            </ul>
        </div>

        <div class="filters">
            <div class="paging">
                PAGE:&nbsp; 
                {% for p in pages %}
                    {% if p != page %}
                        <a class="page" href="/sales/?order={{ order }}&page={{ p }}{% if genre %}&genre={{ genre }}{% endif %}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">{{ p }}</a>
                    {% else %}
                        <span>{{ p }}</span>
                    {% endif %}
                {% endfor %}
                &nbsp;&nbsp;(of&nbsp; 
                    <a class="last-page" href="/sales/?order={{ order }}&page={{ page_count }}{% if genre %}&genre={{ genre }}{% endif %}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">{{ page_count }}</a>
                )
                {% if page < page_count %}
                    <a class="next-page" href="/sales/?order={{ order }}&page={{ page + 1}}{% if genre %}&genre={{ genre }}{% endif %}{% if price %}&price={{ region.numbers.format_price(price) }}{% endif %}">Next Page &gt;</a>
                {% endif %}
            </div>
        </div>
        <div class="clear"></div>
    </article>
{% endblock %}
